%global pkgvers 0
%global scdate0 20250627
%global schash0 47adbe122633c8c8258f35b83fd66d8124593686
%global branch0 master
%global source0 https://github.com/litex-hub/litespi.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-litespi
Version:        2025.04
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable SPI core
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/litespi

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
LiteSPI provides a small footprint and configurable SPI core.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       litespi

%description    python3
LiteSPI provides a small footprint and configurable SPI core.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%doc doc test
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
